﻿import $ as FDA_Drugs;

export Datasets := MODULE

	// Filenames
	EXPORT File_AppDoc := '~fda_drugs::AppDoc';
	EXPORT File_AppDocType_Lookup := '~fda_drugs::AppDocType_Lookup';
	EXPORT File_Application := '~fda_drugs::Application';
	EXPORT File_DocType_Lookup := '~fda_drugs::DocType_Lookup';
	EXPORT File_Product := '~fda_drugs::Product';
	EXPORT File_Product_TECode := '~fda_drugs::Product_TECode';
	EXPORT File_RegActionDate := '~fda_drugs::RegActionDate';
	EXPORT File_ChemicalType_Lookup := '~fda_drugs::ChemicalType_Lookup';
	EXPORT File_ReviewClass_Lookup := '~fda_drugs::ReviewClass_Lookup';

	// Datasets
	EXPORT dsAppDoc := DATASET(File_AppDoc, FDA_Drugs.Layouts.L_AppDoc, THOR);
	EXPORT dsAppDocType_Lookup := DATASET(File_AppDocType_Lookup, FDA_Drugs.Layouts.L_AppDocType_Lookup, THOR);
	EXPORT dsApplication := DATASET(File_Application, FDA_Drugs.Layouts.L_Application, THOR);
	EXPORT dsDocType_Lookup := DATASET(File_DocType_Lookup, FDA_Drugs.Layouts.L_DocType_Lookup, THOR);
	EXPORT dsProduct := DATASET(File_Product, FDA_Drugs.Layouts.L_Product, THOR);
	EXPORT dsProduct_TECode := DATASET(File_Product_TECode, FDA_Drugs.Layouts.L_Product_TECode, THOR);
	EXPORT dsRegActionDate := DATASET(File_RegActionDate, FDA_Drugs.Layouts.L_RegActionDate, THOR);
	EXPORT dsChemicalType_Lookup := DATASET(File_ChemicalType_Lookup, FDA_Drugs.Layouts.L_ChemicalType_Lookup, THOR);
	EXPORT dsReviewClass_Lookup := DATASET(File_ReviewClass_Lookup, FDA_Drugs.Layouts.L_ReviewClass_Lookup, THOR);

END;
